depends_on:
- test
when:
  event: push
  branch: main
steps:
  build-broker-adapter:
    image: woodpeckerci/plugin-docker-buildx
    privileged: true
    settings:
      repo: registry.celestium.life/stonks-oracle/broker-adapter
      registry: registry.celestium.life
      custom_dns: 192.168.42.1
      buildx_image: registry.celestium.life/dockerhub-cache/moby/buildkit:buildx-stable-1
      add_host: registry.celestium.life:10.1.1.12
      buildx_flags: --driver-opt network=host
      buildkitd_config: "[registry.\"docker.io\"]\n  mirrors = [\"registry.celestium.life/v2/dockerhub-cache\"]\n[registry.\"ghcr.io\"]\n  mirrors = [\"registry.celestium.life/v2/ghcr-cache\"]\n"
      http_proxy: ""
      https_proxy: ""
      no_proxy: ""
      logins:
      - registry: https://registry.celestium.life
        username:
          from_secret: harbor_username
        password:
          from_secret: harbor_password
      tags:
      - ${CI_COMMIT_SHA}
      - latest
      dockerfile: docker/Dockerfile
      context: .
      build_args: SERVICE_CMD=python -m services.adapters.broker_adapter
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 1Gi
            cpu: 1000m
          limits:
            memory: 2Gi
            cpu: 4000m
    depends_on: []
  build-lake-publisher:
    image: woodpeckerci/plugin-docker-buildx
    privileged: true
    settings:
      repo: registry.celestium.life/stonks-oracle/lake-publisher
      registry: registry.celestium.life
      custom_dns: 192.168.42.1
      buildx_image: registry.celestium.life/dockerhub-cache/moby/buildkit:buildx-stable-1
      add_host: registry.celestium.life:10.1.1.12
      buildx_flags: --driver-opt network=host
      buildkitd_config: "[registry.\"docker.io\"]\n  mirrors = [\"registry.celestium.life/v2/dockerhub-cache\"]\n[registry.\"ghcr.io\"]\n  mirrors = [\"registry.celestium.life/v2/ghcr-cache\"]\n"
      http_proxy: ""
      https_proxy: ""
      no_proxy: ""
      logins:
      - registry: https://registry.celestium.life
        username:
          from_secret: harbor_username
        password:
          from_secret: harbor_password
      tags:
      - ${CI_COMMIT_SHA}
      - latest
      dockerfile: docker/Dockerfile
      context: .
      build_args: SERVICE_CMD=python -m services.lake_publisher.worker
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 1Gi
            cpu: 1000m
          limits:
            memory: 2Gi
            cpu: 4000m
    depends_on: []
  build-query-api:
    image: woodpeckerci/plugin-docker-buildx
    privileged: true
    settings:
      repo: registry.celestium.life/stonks-oracle/query-api
      registry: registry.celestium.life
      custom_dns: 192.168.42.1
      buildx_image: registry.celestium.life/dockerhub-cache/moby/buildkit:buildx-stable-1
      add_host: registry.celestium.life:10.1.1.12
      buildx_flags: --driver-opt network=host
      buildkitd_config: "[registry.\"docker.io\"]\n  mirrors = [\"registry.celestium.life/v2/dockerhub-cache\"]\n[registry.\"ghcr.io\"]\n  mirrors = [\"registry.celestium.life/v2/ghcr-cache\"]\n"
      http_proxy: ""
      https_proxy: ""
      no_proxy: ""
      logins:
      - registry: https://registry.celestium.life
        username:
          from_secret: harbor_username
        password:
          from_secret: harbor_password
      tags:
      - ${CI_COMMIT_SHA}
      - latest
      dockerfile: docker/Dockerfile
      context: .
      build_args: SERVICE_CMD=uvicorn services.api.app:app --host 0.0.0.0 --port 8000
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 1Gi
            cpu: 1000m
          limits:
            memory: 2Gi
            cpu: 4000m
    depends_on: []
  build-trading-engine:
    image: woodpeckerci/plugin-docker-buildx
    privileged: true
    settings:
      repo: registry.celestium.life/stonks-oracle/trading-engine
      registry: registry.celestium.life
      custom_dns: 192.168.42.1
      buildx_image: registry.celestium.life/dockerhub-cache/moby/buildkit:buildx-stable-1
      add_host: registry.celestium.life:10.1.1.12
      buildx_flags: --driver-opt network=host
      buildkitd_config: "[registry.\"docker.io\"]\n  mirrors = [\"registry.celestium.life/v2/dockerhub-cache\"]\n[registry.\"ghcr.io\"]\n  mirrors = [\"registry.celestium.life/v2/ghcr-cache\"]\n"
      http_proxy: ""
      https_proxy: ""
      no_proxy: ""
      logins:
      - registry: https://registry.celestium.life
        username:
          from_secret: harbor_username
        password:
          from_secret: harbor_password
      tags:
      - ${CI_COMMIT_SHA}
      - latest
      dockerfile: docker/Dockerfile
      context: .
      build_args: SERVICE_CMD=uvicorn services.trading.app:app --host 0.0.0.0 --port 8000
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 1Gi
            cpu: 1000m
          limits:
            memory: 2Gi
            cpu: 4000m
    depends_on: []
  build-dashboard:
    image: woodpeckerci/plugin-docker-buildx
    privileged: true
    settings:
      repo: registry.celestium.life/stonks-oracle/dashboard
      registry: registry.celestium.life
      custom_dns: 192.168.42.1
      buildx_image: registry.celestium.life/dockerhub-cache/moby/buildkit:buildx-stable-1
      add_host: registry.celestium.life:10.1.1.12
      buildx_flags: --driver-opt network=host
      buildkitd_config: "[registry.\"docker.io\"]\n  mirrors = [\"registry.celestium.life/v2/dockerhub-cache\"]\n[registry.\"ghcr.io\"]\n  mirrors = [\"registry.celestium.life/v2/ghcr-cache\"]\n"
      http_proxy: ""
      https_proxy: ""
      no_proxy: ""
      logins:
      - registry: https://registry.celestium.life
        username:
          from_secret: harbor_username
        password:
          from_secret: harbor_password
      tags:
      - ${CI_COMMIT_SHA}
      - latest
      dockerfile: frontend/Dockerfile
      context: frontend
      no_cache: true
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 1Gi
            cpu: 1000m
          limits:
            memory: 2Gi
            cpu: 4000m
    depends_on: []
  build-superset:
    image: woodpeckerci/plugin-docker-buildx
    privileged: true
    settings:
      repo: registry.celestium.life/stonks-oracle/superset
      registry: registry.celestium.life
      custom_dns: 192.168.42.1
      buildx_image: registry.celestium.life/dockerhub-cache/moby/buildkit:buildx-stable-1
      add_host: registry.celestium.life:10.1.1.12
      buildx_flags: --driver-opt network=host
      buildkitd_config: "[registry.\"docker.io\"]\n  mirrors = [\"registry.celestium.life/v2/dockerhub-cache\"]\n[registry.\"ghcr.io\"]\n  mirrors = [\"registry.celestium.life/v2/ghcr-cache\"]\n"
      http_proxy: ""
      https_proxy: ""
      no_proxy: ""
      logins:
      - registry: https://registry.celestium.life
        username:
          from_secret: harbor_username
        password:
          from_secret: harbor_password
      tags:
      - ${CI_COMMIT_SHA}
      - latest
      dockerfile: docker/Dockerfile.superset
      context: docker
    backend_options:
      kubernetes:
        resources:
          requests:
            memory: 1Gi
            cpu: 1000m
          limits:
            memory: 2Gi
            cpu: 4000m
    depends_on: []
